%define module  URI-Fetch
%define name    perl-%{module}
%define release %mkrel 2
%define version 0.08

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            Perl Module for Smart URI fetching/caching
License:            GPL or Artistic
Group:              Development/Perl
Url:                http://search.cpan.org/dist/%{module}/
Source:             http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:      perl(Class::ErrorHandler)
BuildRequires:      perl(LWP::UserAgent)
BuildRequires:      perl(URI)
BuildRequires:      perl(Storable)
BuildRequires:      perl(Compress::Zlib)
BuildRequires:      perl(Cache)
BuildArch:          noarch
BuildRoot:          %{_tmppath}/%{name}-%{version}

%description
Perl Module for Smart URI fetching/caching.

%prep
%setup -q -n %{module}-%{version}

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/URI
%{_mandir}/*/*


%changelog
* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdv2007.0
+ Revision: 133516



* Fri Mar 02 2007 Shlomi Fish  0.08-2mdv2007.1
- Fixed to noarch.
- Fixed Requires to BuildRequires
 
* Thu Mar 01 2007 Shlomi Fish  0.08-1mdv2007.1
- Initial release. Adapted the Feed-Find spec for this one. 
